> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> Create a job to generate the TXT file required to prepare your TDS return

<Note>
  This endpoint is part of a job-based async workflow. See the [job-based API workflow guide](/guides/developer-resources/job_based_apis#job-based-api-workflow) for job creation, payload upload, and status polling.
</Note>


## OpenAPI

````yaml api-reference/tds/reports/openapi.json POST /tds/reports/txt
openapi: 3.0.1
info:
  title: reports
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS
paths:
  /tds/reports/txt:
    post:
      tags:
        - TDS
      summary: Create TDS Reports Job
      parameters:
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.reports.request
                tax_year:
                  description: Tax Year for which TDS is being filed. (eg. TY 2026-27)
                  type: string
                  pattern: ^TY [0-9]{4}-[0-9]{2}$
                  example: TY 2026-27
                form:
                  type: string
                  description: 'TDS return form code. Allowed values: 138, 140, 144.'
                  enum:
                    - '138'
                    - '140'
                    - '144'
                quarter:
                  description: Quarter for which TDS is being filed
                  type: string
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                tan:
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  type: string
                  pattern: '[A-Z]{4}[0-9]{5}[A-Z]{1}'
                  example: AHMA09719B
                previous_receipt_number:
                  description: Receipt Number of previously filed TDS Return
                  type: string
                  example: '123456789123456'
              required:
                - '@entity'
                - tax_year
                - form
                - quarter
                - tan
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  tax_year: TY 2026-27
                  quarter: Q1
                  form: '138'
                  previous_receipt_number: '123456789012345'
                  tan: AHMQ00112A
                summary: 200 - Success
              200 Form 144 Job created:
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  tax_year: TY 2026-27
                  quarter: Q4
                  form: '144'
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
                summary: 200 Form 144 Job created
              200 Form 138-Q3 Job created:
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  tax_year: TY 2026-27
                  quarter: Q3
                  form: '138'
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
                summary: 200 Form 138-Q3 Job created
              200 Form 138-Q4 Job created:
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  tax_year: TY 2026-27
                  quarter: Q4
                  form: '138'
                  previous_receipt_number: '123456789012345'
                  tan: AHMA09719B
                summary: 200 Form 138-Q4 Job created
              200 Submitted Job will fail:
                value:
                  '@entity': in.co.sandbox.tds.reports.request
                  tax_year: TY 2026-27
                  quarter: Q4
                  form: '140'
                  previous_receipt_number: '123456789012345'
                  tan: BLRC23456F
                summary: 200 Submitted Job will fail
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        enum:
                          - in.co.sandbox.tds.reports.job
                      job_id:
                        type: string
                      tan:
                        type: string
                      quarter:
                        type: string
                      form:
                        type: string
                        description: 'TDS return form code. Allowed values: 138, 140, 144.'
                        enum:
                          - '138'
                          - '140'
                          - '144'
                      tax_year:
                        type: string
                        description: >-
                          Tax Year for which TDS is being filed. (eg. TY
                          2026-27)
                        pattern: ^TY [0-9]{4}-[0-9]{2}$
                      previous_receipt_number:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      json_url:
                        type: string
                        format: uri
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1708926739000
                    transaction_id: c01f847c-c42e-4577-9d01-a7208401a922
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c01f847c-c42e-4577-9d01-a7208401a922
                      tan: AHMA09719B
                      quarter: Q3
                      form: '140'
                      tax_year: TY 2026-27
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1708926739000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 144 Job created:
                  summary: 200 Form 144 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 46d96540-e4e0-4188-81f5-959f4732490f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 46d96540-e4e0-4188-81f5-959f4732490f
                      tan: AHMA09719B
                      quarter: Q4
                      form: '144'
                      tax_year: TY 2026-27
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 138-Q3 Job created:
                  summary: 200 Form 138-Q3 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 24043690-b905-491e-9dc3-950995532e2f
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 24043690-b905-491e-9dc3-950995532e2f
                      tan: AHMA09719B
                      quarter: Q3
                      form: '138'
                      tax_year: TY 2026-27
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Form 138-Q4 Job created:
                  summary: 200 Form 138-Q4 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: c8c2b692-9742-4842-b72e-3441f07be0a0
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: c8c2b692-9742-4842-b72e-3441f07be0a0
                      tan: AHMA09719B
                      quarter: Q4
                      form: '138'
                      tax_year: TY 2026-27
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
                200 Submitted Job will fail:
                  summary: 200 Submitted Job will fail
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: 77a45361-9646-4ee0-93ed-9471bb8a615e
                    data:
                      '@entity': in.co.sandbox.tds.reports.job
                      job_id: 77a45361-9646-4ee0-93ed-9471bb8a615e
                      tan: BLRC23456F
                      quarter: Q4
                      form: '140'
                      tax_year: TY 2026-27
                      previous_receipt_number: '123456789012345'
                      status: created
                      created_at: 1763362637000
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/upload/file
          headers: {}
      deprecated: false
      security: []

````